<?

/*
 / Includes:
*/

include("ServerScriptHelper.php");

/*
 / Initialize Objects:
*/

$serverScriptHelper = new ServerScriptHelper();
$cce = $serverScriptHelper->getCceClient();
$factory =  $serverScriptHelper->getHtmlComponentFactory("slush-barn", "/slush/barn/animalHandler.php?oid=$oid");
$page = $factory->getPage();
$block = $factory->getPagedBlock("blockLabel");

/*
 / get this animal from Cce if an Object Id ($oid) is defined
*/

if ($oid) 
	$obj = $cce->get($oid);
else
	$obj = array(); /* done to keep warnings away if this is a new object */

/*
 / Insert Fields into the PagedBlock
*/

$block->addFormField(
	$factory->getMultiChoice("type", array("Pig", "Cow", "Horse", "Chicken")),
	$factory->getLabel("typeLabel")
);

$block->addFormField(
	$factory->getTextField("name", $obj["name"]),
	$factory->getLabel("nameLabel")
);

/* 
 / Create save and cancel buttons..
*/

$saveButton = $factory->getSaveButton($page->getSubmitAction());
$cancelButton = $factory->getCancelButton("barn.php");

$block->addButton($saveButton);
$block->addButton($cancelButton);

/*
 / Create page
*/

print $page->toHeaderHtml();
print $block->toHtml();
print $page->toFooterHtml();
?>

		
